### Method

# Gio Action activate

since: 2.28

#### Declaration

    void
    g_action_activate (
      GAction* action,
      GVariant* parameter
    )

#### Description

Activates the action.

`parameter` must be the correct type of parameter for the action (ie: the parameter type given at construction time). If the parameter type was `NULL` then `parameter` must also be `NULL`.

If the `parameter` GVariant is floating, it is consumed.

Available since: 2.28

#### Parameters

`parameter`

  Type: `GVariant`

  The parameter to the activation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.